if(!isPackage(RP_Core_System))
   return;
   
if(!isPackage(RP_Money_Game))
   return;

if(isPackage(RP_Items_Cost_Money))
	deactivatePackage(RP_Items_Cost_Money);

package RP_Items_Cost_Money {
   
  function fxDtsBrick::spawnItem(%brick, %pos, %datablock, %client)
	{
	   if(!isObject(%datablock)) {
	      parent::spawnItem(%brick, %pos, %datablock, %client);
	      return;
	   }
	   
	   if (%client.RPData.value["money"] <= 0)
	   {
	      messageClient(%client, '', "\c6You can't afford to spawn this item.");
	      return;
	   }
	   
	   if(%client.RPData.value["money"]  < 200 + %datablock.image.projectile.directDamage)
	   {
			messageClient(%client, '', "\c6You can't afford to spawn this item.");
			return;
		}
		messageClient(%client, '', "\c6You paid" SPC 200 + %datablock.image.projectile.directDamage SPC "to spawn this item.");
	   %client.RPData.value["money"] -= 200 + %datablock.image.projectile.directDamage;
	   %client.updateInfo();
	   parent::spawnItem(%brick, %pos, %datablock, %client);
	}
	
   function fxDtsBrick::setItem(%brick, %datablock, %client)
	{
	   if(!isObject(%datablock)) {
	      parent::setItem(%brick, %datablock, %client);
	      return;
	   }
	   
	   if (%client.RPData.value["money"] <= 0)
	   {
	      messageClient(%client, '', "\c6You can't afford to spawn this item.");
	      return;
	   }
	   
		if(%client.RPData.value["money"]  < 200 + %datablock.image.projectile.directDamage)
		{
			messageClient(%client, '', "\c6You can't afford to spawn this item.");
			return;
		}
		
		messageClient(%client, '', "\c6You paid" SPC 200 + %datablock.image.projectile.directDamage SPC "to spawn this item.");
	   %client.RPData.value["money"] -= 200 + %datablock.image.projectile.directDamage;
	   %client.updateInfo();
      parent::setItem(%brick, %datablock, %client);
	} 
   
};

activatePackage(RP_Items_Cost_Money);